Installing Quickstream Client

Installing Quickstream Client

Introduction

Quickstream Client is an application that is used to configure and manage one or more Quickstream Nodes.  Install this application on a computer with a graphical user interface. 

System requirements

Operating system requirements

  1. Windows 8.1 Home, Pro, Enterprise and Windows Server 2012R2
  2. Windows 10 Home, Pro, Enterprise, Workstation and Windows Server 2016 and 2019
  3. Linux Ubuntu:
    1. Ubuntu 16.04 (amd64 only)
    2. Ubuntu 18.04 (amd64 only)
    3. Ubuntu 20.04 (amd64 only)
    4. Ubuntu 20.10 (amd64 only)
  4. Linux Debian:
    1. Debian 9 (amd64 only)
    2. Debian 10 (amd64 only)
  5. macOS 10.10 Yosemite or newer

Hardware requirements

Minimal system requirements:
  1. CPU: Intel Pentium 4 processor or later that's SSE2 capable
  2. RAM: 4GB
  3. Disk Space: 300MB
Quicksteam Client probably works on any x86-64 CPU like AMD or VIA but it has not been tested.
Quickstream Client does not support  ARM architecture or any other architecture than x86-64

Setup

Linux - Debian/Ubuntu

Adding apt repository

In order to install or update Quickstream Client, you need to add Quickstream repository to your system. You have to do it only once. If it is already added please skip this step and go to next section. 

  1. Add GPG key to apt key ring:
    $ wget -qO - http://install.cloud.quickstream.tech/gpg.pub | sudo apt-key add -
  2. Check your Linux distribution with the following command:
    $ lsb_release -c 
  3. Add Quickstream repository to /etc/apt/sources.list using you favorite text editor like vim or nano. Just insert this line and end of file:
    deb [arch=amd64] http://install.cloud.quickstream.tech/linux_apt DISTRO main

    Where DISTRO is our distribution codename. 
    Supported distributions
    1. Debian 9 - stretch 
    2. Debian 10 - buster
    3. Ubuntu 16.04 LTS - xenial
    4. Ubuntu 18.04 LTS - bionic 
    5. Ubuntu 20.04 LTS - focal
    6. Ubuntu 20.10 - groovy


Installing Quickstream Client

To install Quickstream Node perform the following steps: 
  1. Make sure Quickstream repository is added to /etc/apt/sources.list. Instruction how to do it is placed above
  2. Update package index:
    $ apt update 
  3. Install quickstream-client package:
    $ apt install quickstream-client


    Quickstream Client configuration section to find out how to proceed. 

Windows

In order to install Quickstream Client on your computer, you have to download the newest Quickstream Client for Windows installer from http://install.cloud.quickstream.tech/?prefix=windows_installer/quickstream-client/
Execute downloaded installed and accept this dialog.

Next please accept the license agreement. You will not be able to complete the installation if you did not accept the license. Then follow instructions from the wizard.

Go to the Quickstream Client configuration section to find out how to proceed.

macOS

In order to install Quickstream Client to your computer you have to download the newest Quickstream Client installer from quickstream.tech/download
When you try to install Quickstream Node you will see the following alert which stops the installation.

Go to System Preferences then go to
 Security & Privacy and click Open anyway.

The installer should open. Now follow instructions from the installer.

Go to the Quickstream Client configuration section to find out how to proceed.
    • Related Articles

    • Updating Quickstream Client

      Windows & MacOS To update Quickstream Client simply follow Installing Quickstream Client guide. Client installer on MacOS and Windows will automatically update your client. Please remember to close all Quickstream Client instances. Debian/Ubuntu To ...
    • Quickstream v2.0

      QUICKSTREAM V12.0  IS READY TO GO! It is required to update both Quickstream Client and Quickstream Node. Old version of Quickstream Client will not work properly with the latest version Quickstream Node. QUICKSTREAM CLOUD IS NOW OPERN  Quickstream ...
    • Quickstream v1.3.0

      QUICKSTREAM V1.3.0 IS READY TO GO! It is required to update both Quickstream Client and Quickstream Node. The old version of Quickstream Client will not work properly with the latest version Quickstream Node.   We are happy to announce that ...
    • Quickstream v1.3.4

      QUICKSTREAM V1.3.4  IS READY TO GO! It is required to update both Quickstream Client and Quickstream Node. The old version of Quickstream Client will not work properly with the latest version Quickstream Node. INPUT BACKUP FUNCTIONALITY  Quickstream ...
    • Quickstream v1.3.2

      QUICKSTREAM V1.3.2 IS READY TO GO! It is required to update both Quickstream Client and Quickstream Node. The old version of Quickstream Client will not work properly with the latest version Quickstream Node. IMPORTANT CHANGES IN THE LICENSING ...